(ns wanijo.view
  (:require [hiccup.page :refer [html5]]))

(defn layout
  [& {:keys [authed? content title]
      :or {authed? true
           content []
           title "wan ijo"}}]
  (html5
   [:head
    [:meta {:charset "utf-8"}]
    [:title title]
    [:link {:rel "stylesheet"
            :href "/css/app.css"}]]
   [:body
    [:section.grid
     [:header
      [:h1 "wan ijo"]]
     [:nav (when authed? "nav")]
     (vec (concat [:main] content))
     [:aside (when authed? "aside")]
     [:footer
      [:small "stuff with objects"]]]]))
