(ns wanijo.auth.handler
  (:require [ring.util.response :as rur]))

(defn login-check [req]
  (let [{{:keys [uname pw]} :params} req]
    (if (and (= uname "admin")
             (= pw "pw"))
      (-> (rur/redirect "/")
          (assoc-in [:session :ident] uname))
      (-> (rur/redirect "/login")
          (assoc :flash :invalid-credentials)))))
