(ns wanijo.auth.view
  (:require [hiccup.form :as hf]
            [wanijo.view :refer [layout]]
            [ring.util.anti-forgery :refer [anti-forgery-field]]))

(defn login [req]
  (layout
   :authed? false
   :content [[:h1 "Login"]
             (hf/form-to
              [:post "/login-check"]
              [:dif.form-group
               (:flash req)]
              [:div.form-group
               (hf/label "uname" "Username")
               [:input#uname {:name "uname"}]]
              [:div.form-group
               (hf/label "pw" "Password")
               (hf/password-field {:id "pw"} "pw")]
              [:div.form-group
               (hf/submit-button "Login")]
              (anti-forgery-field))]))
